SET SERVEROUTPUT ON

spool pruebas.log

set echo on

-- TIPO_MOVIMIENTO

DECLARE
RSP VARCHAR2(20000);
BEGIN
-- ALTA DE UN TIPO DE MOVIMIENTO QUE YA EXISTE
   PR_ALTA_TIPO_MOVIMIENTO('BAJA', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
-- ALTA DE UN TIPO_DE_MOVIMIENTO NUEVO
   PR_ALTA_TIPO_MOVIMIENTO('CAMBIO', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
-- MODIFICACIN DE UN TIPO DE MOVIMIENTO
   PR_MODIF_TIPO_MOVIMIENTO(7,'CAMBIO DE CENTRO', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
-- BAJA DE UN TIPO DE MOVIMIENTO
   PR_BAJA_TIPO_MOVIMIENTO(7, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
-- BAJA DE UN TIPO DE MOVIMIENTO QUE NO EXISTE
   PR_BAJA_TIPO_MOVIMIENTO(12, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
-- BAJA DE UN TIPO DE MOVIMIENTO QUE YA HA SIDO DADO DE BAJA
   PR_BAJA_TIPO_MOVIMIENTO(7, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
  

END;
/

-- TIPO_DISPOSITIVO

DECLARE
RSP VARCHAR2(20000);
BEGIN

-- ALTA DE UN TIPO DE DISPOSITIVO QUE YA EXISTE
   PR_ALTA_TIPO_DISPOSITIVO('IMPRESORA', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
-- ALTA DE UN TIPO DE DISPOSITIVO NUEVO
   PR_ALTA_TIPO_DISPOSITIVO('DISCO', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
-- MODIFICACIN DE UN TIPO DE DISPOSITIVO
   PR_MODIF_TIPO_DISPOSITIVO(9,'DISCO PTICO', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
-- BAJA DE UN TIPO DE DISPOSITIVO
   PR_BAJA_TIPO_DISPOSITIVO(9, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
-- BAJA DE UN TIPO DE DISPOSITIVO QUE NO EXISTE
   PR_BAJA_TIPO_DISPOSITIVO(11, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
-- BAJA DE UN TIPO DE DISPOSITIVO QUE YA HA SIDO DADO DE BAJA
   PR_BAJA_TIPO_DISPOSITIVO(9, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
  
END;
/

-- PROVEEDORES

DECLARE
RSP VARCHAR2(20000);
BEGIN

-- ALTA DE UN PROVEEDOR QUE YA EXISTE
   PR_ALTA_PROVEEDORES('FISETEK','LA MARINA, 2-60','CARLET','VALENCIA','ESPAA', 963489023, NULL,28, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
-- ALTA DE UN PROVEEDOR NUEVO
   PR_ALTA_PROVEEDORES('IBM2','AVDA. CANTARRANAS, 35','LEGANES','MADRID','ESPAA',912234567,NULL,20, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
-- MODIFICACIN DE UN PROVEEDOR
   PR_MODIF_PROVEEDOR('PR0005',NULL,NULL,NULL,NULL,NULL,NULL,NULL, 15, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
-- BAJA DE UN PROVEEDOR
   PR_BAJA_PROVEEDOR('PR0006', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
-- BAJA DE UN PROVEEDOR QUE NO EXISTE
   PR_BAJA_PROVEEDOR('PR0010', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
-- BAJA DE UN PROVEEDOR QUE YA HA SIDO DADO DE BAJA
   PR_BAJA_PROVEEDOR('PR0006', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
     
  
END;
/

-- SEDES

DECLARE
RSP VARCHAR2(20000);
BEGIN

-- ALTA DE UNA SEDE QUE YA EXISTE
   PR_ALTA_SEDES('CENTRAL LISBOA','AVDA. LIBERDADE, 128','LISBOA','LISBOA','PORTUGAL', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
-- ALTA DE UNA NUEVA SEDE
   PR_ALTA_SEDES('ATOCHA','CALLE MENOR, 134','MADRID','MADRID','ESPAA', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
-- MODIFICACIN DE UNA SEDE
   PR_MODIF_SEDE('S06',NULL,'CALLE ATOCHA, 34',NULL,NULL,NULL, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
-- BAJA DE UNA SEDE
   PR_BAJA_SEDE('S06', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
-- BAJA DE UNA SEDE QUE NO EXISTE
   PR_BAJA_SEDE('S08', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
-- BAJA DE UNA SEDE QUE YA HA SIDO DADA DE BAJA
   PR_BAJA_SEDE('S06', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);

 
 END;
/

-- DEPARTAMENTOS

DECLARE
RSP VARCHAR2(20000);
BEGIN

-- ALTA DE UN DEPARTAMENTO QUE YA EXISTE
   PR_ALTA_DEPARTAMENTOS('ADMINISTRATIVO',NULL, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
-- ALTA DE UN DEPARTAMENTO NUEVO
   PR_ALTA_DEPARTAMENTOS('CULTURAL',NULL, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
-- MODIFICACIN DE UN DEPARTAMENTO
   PR_MODIF_DEPARTAMENTO('D07','PERSONAL',NULL, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
-- BAJA DE UN DEPARTAMENTO
   PR_BAJA_DEPARTAMENTO('D07', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
-- BAJA DE UN DEPARTAMENTO QUE NO EXISTE
   PR_BAJA_DEPARTAMENTO('D23', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
-- BAJA DE UN DEPARTAMENTO QUE YA HA SIDO DADO DE BAJA
   PR_BAJA_DEPARTAMENTO('D07', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
   

END;
/

-- USUARIOS

DECLARE
RSP VARCHAR2(20000);
BEGIN

-- ALTA DE UN NUEVO USUARIO
   PR_ALTA_USUARIOS('D01','ROSA DIAZ MARTIN',914228675,NULL,'S03', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
-- ALTA DE UN USUARIO, ASIGNNDOLE UN DEPARTAMENTO QUE NO EXISTE
   PR_ALTA_USUARIOS('D11','BIENVENIDO RODRIGUEZ PEDROSA',912284567,NULL,'S03', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
-- ALTA DE UN USUARIO, ASIGNNDOLE UNA SEDE QUE NO EXISTE
   PR_ALTA_USUARIOS('D02','ALVARO DE LA ROSA JIMENEZ',913698765,NULL,'S10', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
-- MODIFICACIN DE UN USUARIO,ASIGNANDOLE UN DEPARTAMENTO QUE NO EXISTE
   PR_MODIF_USUARIO('US0005','D23',NULL,NULL,NULL,NULL, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
-- MODIFICACIN DE UN USUARIO
   PR_MODIF_USUARIO('US0005',NULL,NULL,NULL,NULL,'S01', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
-- BAJA DE UN USUARIO QUE NO EXISTE
   PR_BAJA_USUARIO('US0010', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
-- BAJA DE UN USUARIO
   PR_BAJA_USUARIO ('US0007', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);


END;
/

-- PEDIDOS

DECLARE
RSP VARCHAR2(20000);
BEGIN

-- ALTA DE UN PEDIDO, ASIGNNDOLE UN PROVEEDOR QUE NO EXISTE
   PR_ALTA_PEDIDOS('PR0008','D04',TO_DATE('12/01/2015','DD/MM/YYYY'),2400.45,'OI456790', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
-- ALTA DE UN PEDIDO, ASIGNNDOLE UN DEPARTAMENTO QUE NO EXISTE
   PR_ALTA_PEDIDOS('PR0001','D14',TO_DATE('12/01/2015','DD/MM/YYYY'),2400.45,'OI456790', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
-- ALTA DE UN PEDIDO
   PR_ALTA_PEDIDOS('PR0002','D04',TO_DATE('12/01/2015','DD/MM/YYYY'),2400.45,'OI456790', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
-- MODIFICACIN DE UN PEDIDO, ASIGNNDOLE UN PROVEEDOR QUE NO EXISTE
   PR_MODIF_PEDIDO('C00003','PR0034',NULL,NULL,NULL,NULL, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
-- MODIFICACIN DE UN PEDIDO, ASIGNNDOLE UN DEPARTAMENTO QUE NO EXISTE
   PR_MODIF_PEDIDO('C00003',NULL,'D23',NULL,NULL,NULL, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
-- MODIFICACIN DE UN PEDIDO
   PR_MODIF_PEDIDO('C00003','PR0003',NULL,NULL,NULL,NULL, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
-- BAJA DE UN PEDIDO QUE NO EXISTE
   PR_BAJA_PEDIDO('C00010', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
-- BAJA DE UN PEDIDO
  PR_BAJA_PEDIDO('C00007', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);

END;
/

-- LINEAS_PEDIDO

DECLARE
RSP VARCHAR2(20000);
BEGIN

-- ALTA DE LA LNEA DE UN PEDIDO INEXISTENTE
   PR_ALTA_LINEASPEDIDO(1,'C00009',2,3,356.00, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
-- ALTA DE UNA LNEA CON UN TIPO DE DISPOSITIVO QUE NO EXISTE
   PR_ALTA_LINEASPEDIDO(1,'C00006',12,3,400.00, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
-- ALTA DE UNA LNEA DE PEDIDO
   PR_ALTA_LINEASPEDIDO(1,'C00005',2,3,400.00, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
-- MODIFICACIN DE UNA LNEA, ASIGNNDOLE UN TIPO DE DISPOSITIVO QUE NO EXISTE
   PR_MODIF_LINEAPEDIDO(1,'C00001',11,NULL,NULL, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
-- MODIFICACIN DE UNA LNEA DE PEDIDO
   PR_MODIF_LINEAPEDIDO(1,'C00001',5,NULL,NULL, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
-- BAJA DE UNA LNEA QUE NO EXISTE PARA ESE PEDIDO
   PR_BAJA_LINEAPEDIDO(3,'C00001', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
-- BAJA DE UNA LNEA DE PEDIDO
   PR_BAJA_LINEAPEDIDO(2,'C00004', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
  

END;
/

-- PRESUPUESTOS

DECLARE
RSP VARCHAR2(20000);
BEGIN

-- ALTA DE UN PRESUPUESTO DE UN PROVEEDOR QUE NO EXISTE
   PR_ALTA_PRESUPUESTOS('PR0009','C00001',SYSDATE,4000.00,'N', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
-- ALTA DE UN PRESUPUESTO DE UN PEDIDO QUE NO EXSTE
   PR_ALTA_PRESUPUESTOS('PR0002','C00013',SYSDATE,4000.00,'N', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
-- ALTA DE UN PRESUPUESTO
   PR_ALTA_PRESUPUESTOS('PR0004','C00001',SYSDATE,5000.00,'N', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
-- MODIFICACIN DE UN PRESUPUESTO, ASIGNNDOLE UN PROVEEDOR QUE NO EXISTE
   PR_MODIF_PRESUPUESTO('PP0002','PR0025',NULL,NULL,NULL,NULL, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
-- MODIFICACIN DEL CAMPO ACEPTADO PARA UN PEDIDO QUE YA TIENE UN PRESUPUESTO ACEPTADO
   PR_MODIF_PRESUPUESTO('PP0001',NULL,NULL,NULL,NULL,'S', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
-- BAJA DE UN PRESUPUESTO QUE NO EXISTE
   PR_BAJA_PRESUPUESTO('PP0010', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
-- BAJA DE UN PRESUPUESTO
   PR_BAJA_PRESUPUESTO('PP0006', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);


END;
/


-- RECEPCIONES

DECLARE
RSP VARCHAR2(20000);
BEGIN

-- ALTA DE UNA RECEPCIN DE UN PEDIDO QUE NO EXISTE
   PR_ALTA_RECEPCIONES('C00011','US0002',SYSDATE,'PEDIDO COMPLETO', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
-- ALTA DE UNA RECEPCIN DE UN RESPONSABLE QUE NO EXISTE
   PR_ALTA_RECEPCIONES('C00003','US0013',SYSDATE,'PEDIDO COMPLETO', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
-- ALTA DE UNA RECEPCIN
   PR_ALTA_RECEPCIONES('C00005','US0003',SYSDATE,'PEDIDO COMPLETO', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
-- MODIFICACIN DE UNA RECEPCIN, ASIGNNDOLE UN PEDIDO QUE NO EXISTE
   PR_MODIF_RECEPCION('R00001','C00034',NULL,NULL,NULL, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
-- MODIFICACIN DE UNA RECEPCIN, ASIGNNDOLE UN RESPONSABLE QUE NO EXISTE
   PR_MODIF_RECEPCION('R00001',NULL,'US0024',NULL,NULL, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
-- MODIFICACIN DE UNA RECEPCIN, ASIGNNDOLE UN RESPONSABLE QUE NO PERTENECE AL DEPARTAMENTO DE INFORMTICA
   PR_MODIF_RECEPCION('R00001',NULL,'US0002',NULL,NULL, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
-- BAJA DE UNA RECEPCIN QUE NO EXISTE
   PR_BAJA_RECEPCION('R00015', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
-- BAJA DE UNA RECEPCIN
   PR_BAJA_RECEPCION('R00003',RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);

END;
/

-- DISPOSITIVOS

DECLARE
RSP VARCHAR2(20000);
BEGIN

-- ALTA DE UN DISPOSITIVO, ASIGNNDOLE UN TIPO DE DISPOSITIVO QUE NO EXISTE
   PR_ALTA_DISPOSITIVOS(11,'XX-45345-FR',NULL,'US0001',TO_DATE('23/10/2013','DD/MM/YYYY'),345,SYSDATE, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
-- ALTA DE UN DISPOSITIVO, ASIGNNDOLE UN USUARIO QUE NO EXISTE
   PR_ALTA_DISPOSITIVOS(1,'XX-45645-FR',NULL,'US0020',TO_DATE('23/10/2013','DD/MM/YYYY'),345,SYSDATE, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
-- ALTA DE UN DISPOSITIVO
   PR_ALTA_DISPOSITIVOS(1,'XX-458345-FR',NULL,NULL,TO_DATE('23/10/2013','DD/MM/YYYY'),345,SYSDATE, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
-- MODIFICACIN DE UN DISPOSITIVO, ASIGNNDOLE UN USUARIO QUE NO EXISTE
   PR_MODIF_DISPOSITIVO('PT0003',NULL,NULL,NULL,'US0016',NULL,NULL,NULL, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
-- MODIFICACIN DE UN DISPOSITIVO, ASIGNNDOLE UN TIPO DE DISPOSITIVO QUE NO EXISTE
   PR_MODIF_DISPOSITIVO('PT0003',15,NULL,NULL,NULL,NULL,NULL,NULL, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
-- BAJA DE UN DISPOSITIVO QUE NO EXISTE
   PR_BAJA_DISPOSITIVO('PT0018', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
-- BAJA DE UN DISPOSITIVO (LO HAREMOS CON UN MOVIMIENTO DE BAJA)
--   PR_BAJA_DISPOSITIVO('PT0009', RSP);
--   DBMS_OUTPUT.PUT_LINE(RSP);


END;

/
-- MOVIMIENTOS

DECLARE
RSP VARCHAR2(20000);
BEGIN

-- ALTA DE UN MOVIMIENTO, ASIGNNDOLE UN TIPO DE MOVIMIENTO QUE NO EXISTE
   PR_ALTA_MOVIMIENTOS(9,'PT0002',NULL,NULL,TO_DATE('23/10/2013','DD/MM/YYYY'),'US0001', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
-- ALTA DE UN MOVIMIENTO DE UN DISPOSITIVO QUE NO EXISTE
   PR_ALTA_MOVIMIENTOS(6,'PT0015',NULL,NULL,TO_DATE('05/08/2014','DD/MM/YYYY'),'US0001', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
-- ALTA DE UN MOVIMIENTO, ASIGNANDO UN USUARIO_DESTINO QUE NO EXISTE
   PR_ALTA_MOVIMIENTOS(1,'PT0003',NULL,'US0022',TO_DATE('23/10/2013','DD/MM/YYYY'),'US0001', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
-- ALTA DE UN MOVIMIENTO
   PR_ALTA_MOVIMIENTOS (2,'PT0009',NULL,NULL,TO_DATE ('25/12/2015','DD/MM/YYYY'),'US0003', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
-- MODIFICACIN DE UN MOVIMIENTO, ASIGNNDOLE UN TIPO DE MOVIMIENTO QUE NO EXISTE
   PR_MODIF_MOVIMIENTO ('M00001',9,NULL,NULL,NULL,NULL,NULL, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
-- MODIFICACIN DE UN MOVIMIENTO, ASIGNNDOLE UN USUARIO_DESTINO QUE NO EXISTE
   PR_MODIF_MOVIMIENTO('M00004',NULL,NULL, NULL,'US0025',NULL,NULL, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
-- MODIFICACIN DE UN MOVIMIENTO, ASIGNANDO UN RESPONSABLE QUE NO PERTENECE AL DEPARTAMENTO DE INFORMTICA
   PR_MODIF_MOVIMIENTO('M00001',NULL,NULL,NULL,NULL,NULL,'US0004', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
-- BAJA DE UN MOVIMIENTO QUE NO EXISTE
   PR_BAJA_MOVIMIENTO('M00041', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
-- BAJA DE UN MOVIMIENTO
   PR_BAJA_MOVIMIENTO('M00012', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);


END;

/


-- INVENTARIO

DECLARE
RSP VARCHAR2(20000);
BEGIN

-- ALTA DE UN INVENTARIO, ASIGNNDOLE UNA SEDE QUE NO EXISTE
   PR_ALTA_INVENTARIOS(SYSDATE, 'S10','US0005', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
-- ALTA DE UN INVENTARIO, ASIGNNDOLE UN COORDINADOR QUE NO EXISTE
   PR_ALTA_INVENTARIOS(SYSDATE, 'S06','US0010', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
-- ALTA DE UN INVENTARIO
   PR_ALTA_INVENTARIOS(SYSDATE, 'S02','US0005', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
-- MODIFICACIN DE UN INVENTARIO, ASIGNNDOLE UNA SEDE QUE NO EXISTE
   PR_MODIF_INVENTARIO('IN001',NULL,'S09', NULL, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
-- MODIFICACIN DE UN INVENTARIO, ASIGNNDOLE UN COORDINADOR QUE NO EXISTE
   PR_MODIF_INVENTARIO('IN001',NULL, NULL, 'US0014', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
-- BAJA DE UN INVENTARIO QUE NO EXISTE
   PR_BAJA_INVENTARIO('IN005', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
-- BAJA DE UN INVENTARIO
   PR_BAJA_INVENTARIO('IN002', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);

END;

/

--SE DAN DE ALTA MAS USUARIOS PARA LAS PRUEBAS DEL REPOSITORIO ESTADSTICO

DECLARE
RSP VARCHAR2(20000);
BEGIN


 PR_ALTA_USUARIOS('D02','MARIANO SAENZ TEJERINA',916802532,'mariano.saenz@gmailcom','S01', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
PR_ALTA_USUARIOS('D01','CRISTOBAL NADAL ROMERO',916804678,'cristobal.nadal@gmailcom','S01', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
PR_ALTA_USUARIOS('D03','TERESA BAJO PRIETO',917202834,'teresa.bajo@gmailcom','S02', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
PR_ALTA_USUARIOS('D04','BEATRIZ MARCOS DOMINGUEZ',917202809,'beatriz.marcos@gmailcom','S03', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
PR_ALTA_USUARIOS('D01','DAVID PEREZ GARCIA',916806234,'david.perez@gmailcom','S02', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);

PR_ALTA_USUARIOS('D01','ISABEL DIAZ AYUSO',916801213,'isabel.diaz@gmailcom','S04', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
PR_ALTA_USUARIOS('D04','VICTOR CHACON ORTIZ',914567890,'victor.chacon@gmailcom','S03', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
PR_ALTA_USUARIOS('D03','JOSE LUIS ALVAREZ CUERVO',917202805,'joseluis.alvarez@gmailcom','S05', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
PR_ALTA_USUARIOS('D01','ANA ISABEL RUIZ PARDO',912284567,'anaisabel.ruiz@gmailcom','S02', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);


END;
/

-- SE DAN DE ALTA NUEVOS DISPOSITIVOS 

DECLARE
RSP VARCHAR2(20000);
BEGIN

   PR_ALTA_DISPOSITIVOS(2,'RR-45678-FK',NULL, NULL,TO_DATE('23/10/2013','DD/MM/YYYY'),560.00,NULL, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
 PR_ALTA_DISPOSITIVOS(1,'RR-23450-FR',NULL, NULL,TO_DATE('12/08/2014','DD/MM/YYYY'),345.00,NULL, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
 PR_ALTA_DISPOSITIVOS(4,'ZZ-57786-ES',NULL, NULL,TO_DATE('16/02/2014','DD/MM/YYYY'),400.00,NULL, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
 PR_ALTA_DISPOSITIVOS(3,'RR-67789-FR',NULL, NULL,TO_DATE('24/05/2015','DD/MM/YYYY'),500.00,NULL, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
 PR_ALTA_DISPOSITIVOS(2,'ZZ-26690-FR',NULL, NULL,TO_DATE('15/02/2015','DD/MM/YYYY'),300.00,NULL, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);

END;
/

-- SE GRABAN MOVIMIENTOS DE ALTA PARA ESTOS DISPOSITIVOS

DECLARE
RSP VARCHAR2(20000);
BEGIN

PR_ALTA_MOVIMIENTOS(1,'PT0010',NULL,'US0001',TO_DATE('18/09/2015','DD/MM/YYYY'),'US0003', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
PR_ALTA_MOVIMIENTOS(1,'PT0011',NULL,'US0001',TO_DATE('20/11/2015','DD/MM/YYYY'),'US0003', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
PR_ALTA_MOVIMIENTOS(1,'PT0012',NULL,'US0001',TO_DATE('06/03/2015','DD/MM/YYYY'),'US0003', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
PR_ALTA_MOVIMIENTOS(1,'PT0013',NULL,'US0001',TO_DATE('19/03/2015','DD/MM/YYYY'),'US0003', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
PR_ALTA_MOVIMIENTOS(1,'PT0014',NULL,'US0001',TO_DATE('04/08/2015','DD/MM/YYYY'),'US0005', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
PR_ALTA_MOVIMIENTOS(1,'PT0015',NULL,'US0001',TO_DATE('28/10/2015','DD/MM/YYYY'),'US0005', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);

END;
/

-- SE GRABAN MOVIMIENTOS DE AVERA PARA LAS PRUEBAS DEL REPOSITORIO ESTADSTICO

DECLARE
RSP VARCHAR2(20000);
BEGIN

PR_ALTA_MOVIMIENTOS(6,'PT0011',NULL,'US0004',TO_DATE('23/10/2013','DD/MM/YYYY'),'US0003', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
PR_ALTA_MOVIMIENTOS(6,'PT0012',NULL,'US0005',TO_DATE('25/07/2013','DD/MM/YYYY'),'US0003', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
PR_ALTA_MOVIMIENTOS(6,'PT0013',NULL,'US0006',TO_DATE('23/06/2014','DD/MM/YYYY'),'US0005', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
PR_ALTA_MOVIMIENTOS(6,'PT0014',NULL,'US0004',TO_DATE('05/08/2014','DD/MM/YYYY'),'US0005', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
PR_ALTA_MOVIMIENTOS(6,'PT0005',NULL,'US0008',TO_DATE('09/11/2014','DD/MM/YYYY'),'US0005', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
PR_ALTA_MOVIMIENTOS(6,'PT0007',NULL,'US0004',TO_DATE('05/08/2015','DD/MM/YYYY'),'US0005', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
PR_ALTA_MOVIMIENTOS(6,'PT0011',NULL,'US0008',TO_DATE('19/08/2015','DD/MM/YYYY'),'US0005', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);

END;
/

-- SE GRABAN MOVIMIENTOS DE REASIGNACION PARA LAS PRUEBAS DEL REPOSITORIO 

DECLARE
RSP VARCHAR2(20000);
BEGIN


PR_ALTA_MOVIMIENTOS(5,'PT0005','US0004','US0005',TO_DATE('09/11/2014','DD/MM/YYYY'),'US0005', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
PR_ALTA_MOVIMIENTOS(5,'PT0001','US0002','US0006',TO_DATE('08/12/2015','DD/MM/YYYY'),'US0005', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
PR_ALTA_MOVIMIENTOS(5,'PT0008','US0002','US0009',TO_DATE('09/01/2015','DD/MM/YYYY'),'US0005', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
PR_ALTA_MOVIMIENTOS(5,'PT0003','US0003','US0010',TO_DATE('24/07/2013','DD/MM/YYYY'),'US0005', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
PR_ALTA_MOVIMIENTOS(5,'PT0004','US0004','US0003',TO_DATE('15/09/2014','DD/MM/YYYY'),'US0006', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
PR_ALTA_MOVIMIENTOS(5,'PT0002','US0005','US0011',TO_DATE('23/03/2015','DD/MM/YYYY'),'US0005', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);

END;
/


SET SERVEROPUTPUT OFF;


--------------------- PRUEBAS DE CONSULTA SOBRE EL MDULO ESTADSTICO    -----------------------------
set linesize 200
set heading on
--set echo off

-- Consulta 1: Dado un ao concreto, nmero total de dispositivos comprados.

SELECT ao, num_dispositivos  FROM estadisticas_ao
WHERE  ao = '2015';

-- Consulta 2: Porcentaje de ordenadores porttiles que no han tenido ninguna avera.

SELECT num_portatiles, portatiles_sin_averia, por_sin_averia 
FROM portatiles_sin_averia;

-- Consulta 3: Importe total de los pedidos realizados en un ao ligados a una orden de inversin.

SELECT ao, importe_pedidos 
FROM estadisticas_ao
WHERE  ao = 2015;

-- Consulta 4: Proveedor que tiene un periodo de entrega ms corto.

SELECT id_proveedor, nombre, periodo_entrega  
FROM proveedor_mas_rapido;

-- Consulta 5: Nmero de dispositivos en uso que tiene un departamento dado, para cada tipo de dispositivo activo.

SELECT id_departamento, nombre_departamento, id_tipo_dispositivo, descripcion_tipo , num_dispositivos FROM disp_activos_departamento
WHERE  id_departamento = 'D03';

-- Consulta 6: Valor econmico del inventario activo para cada departamento.

SELECT id_departamento,  nombre_departamento, valor_inventario 
FROM inventario_departamento;

-- Consulta 7: Nmero de dispositivos que tienen fecha de inventario fsico mayor de un ao.

SELECT  num_dispositivos 
FROM DISPOSITIVOS_FECHA_INVENTARIO;

-- Consulta 8: Departamento, que en un ao, efecta ms movimientos de tipo reasignacin.

SELECT id_departamento, nombre_departamento, ao, num_reasignaciones 
FROM depto_mas_reasignaciones
WHERE  ao = 2015;

-- Consulta 9: Porcentaje de usuarios sin ningn dispositivo asignado.

SELECT total_usuarios, usuarios_sin_dispositivos, por_sin_dispositivos 
FROM usuarios_dispositivos;

-- Consulta 10: Para cada tipo de dispositivo, nmero de unidades que hay en el almacn.

SELECT id_tipo_dispositivo, descripcion, num_unidades 
FROM unidades_dispositivo_almacen;


-- Consulta 11: Departamento de la empresa que tiene ms tipos diferentes de dispositivos.

SELECT id_departamento, nombre_departamento, num_tipos_dispositivos 
FROM depto_mas_tiposdisp;

-- Consulta 12: Nmero de usuarios que tienen asignados ms de 5 dispositivos.

SELECT usuarios_mas5_dispositivos 
FROM usuarios_dispositivos;

-- Consulta 13: Nmero de averas registradas en un ao concreto.

SELECT ao , num_averias 
FROM estadisticas_ao
WHERE  ao = 2015;

-- Consulta 14: Top 10 de usuarios por nmero de averas registradas sobre sus dispositivos.

SELECT id_usuario, nombre_usuario, 
num_averias , ranking 
FROM usuarios_top10_averias;


------------------CONSULTA DEL FICHERO DE LOG ---------------------
COL PARAMSSALIDA FORMAT A(60)

SELECT PARAMSSALIDA FROM LOGS
ORDER BY ID_LOG;



spool off;
exit