spool indices.log

--INDICES SOBRE LAS FOREING-KEY

CREATE INDEX I_USUARIO_DEPARTAMENTO ON USUARIOS(ID_DEPARTAMENTO)
TABLESPACE  TFG_IND;  

CREATE INDEX I_USUARIO_SEDE ON USUARIOS(ID_SEDE)
TABLESPACE  TFG_IND;  

CREATE INDEX I_DEPARTAMENTO_RESPONSABLE ON DEPARTAMENTOS(ID_RESPONSABLE)
TABLESPACE  TFG_IND;  

CREATE INDEX I_DISPOSITIVO_TIPO ON DISPOSITIVOS (TIPO)
TABLESPACE  TFG_IND;  

CREATE INDEX I_DISPOSITIVO_USUARIO ON DISPOSITIVOS(ID_USUARIO)
TABLESPACE  TFG_IND;  

CREATE INDEX I_PEDIDO_PROVEEDOR ON PEDIDOS (ID_PROVEEDOR)
TABLESPACE  TFG_IND;  

CREATE INDEX I_PEDIDO_DEPARTAMENTO ON PEDIDOS(ID_DEPARTAMENTO)
TABLESPACE  TFG_IND;  

CREATE INDEX I_LINEASPEDIDO_PEDIDO ON LINEAS_PEDIDO(ID_PEDIDO)
TABLESPACE  TFG_IND;  

CREATE INDEX I_LINEASPEDIDO_MATERIAL ON LINEAS_PEDIDO(ID_MATERIAL)
TABLESPACE  TFG_IND;  

CREATE INDEX I_PRESUPUESTO_PROVEEDOR ON PRESUPUESTOS(ID_PROVEEDOR)
TABLESPACE  TFG_IND;  

CREATE INDEX I_PRESUPUESTO_PEDIDO ON PRESUPUESTOS(ID_PEDIDO)
TABLESPACE  TFG_IND;  

CREATE INDEX I_RECEPCION_PEDIDO ON RECEPCIONES(ID_PEDIDO)
TABLESPACE  TFG_IND;  

CREATE INDEX I_RECEPCION_RESPONSABLE ON RECEPCIONES(ID_RESPONSABLE)
TABLESPACE  TFG_IND;  

CREATE INDEX I_MOVIMIENTO_TIPO ON MOVIMIENTOS(ID_TIPO_MOVIMIENTO)
TABLESPACE  TFG_IND;  

CREATE INDEX I_MOVIMIENTO_DISPOSITIVO ON MOVIMIENTOS(ID_DISPOSITIVO)
TABLESPACE  TFG_IND;  

CREATE INDEX I_MOVIMIENTO_USUARIOORIGEN ON MOVIMIENTOS(ID_USUARIO_ORIGEN)
TABLESPACE  TFG_IND;  

CREATE INDEX I_MOVIMIENTO_USUARIODESTINO ON MOVIMIENTOS(ID_USUARIO_DESTINO)
TABLESPACE  TFG_IND;  

CREATE INDEX I_MOVIMIENTO_USUARIORESP ON MOVIMIENTOS(ID_RESPONSABLE)
TABLESPACE  TFG_IND;  

CREATE INDEX I_INVENTARIO_SEDE ON INVENTARIOS(ID_SEDE)
TABLESPACE  TFG_IND;  

CREATE INDEX I_INVENTARIO_USUARIO ON INVENTARIOS(ID_COORDINADOR)
TABLESPACE  TFG_IND;  

CREATE INDEX I_DISP_ACT_DEP_DEPARTAMENTO ON DISP_ACTIVOS_DEPARTAMENTO(ID_DEPARTAMENTO)
TABLESPACE  TFG_IND;  

CREATE INDEX I_DISP_ACT_DEP_TIPO_DISPOS ON DISP_ACTIVOS_DEPARTAMENTO(ID_TIPO_DISPOSITIVO)
TABLESPACE  TFG_IND;  

CREATE INDEX I_DEP_MAS_REASIG_DEPART ON DEPTO_MAS_REASIGNACIONES(ID_DEPARTAMENTO)
TABLESPACE  TFG_IND;  

CREATE INDEX I_MOVIMIENTO_AUX_TIPO ON MOVIMIENTOS_AUX(ID_TIPO_MOVIMIENTO)
TABLESPACE  TFG_IND;  



-- INDICES PARA LAS FECHAS

CREATE INDEX I_DISPOSITIVO_FECHA_COMPRA ON DISPOSITIVOS (FECHA_COMPRA)
TABLESPACE  TFG_IND;  

CREATE INDEX I_DISP_FECHA_ULTIMO_INVENTARIO ON DISPOSITIVOS (FECHA_ULTIMO_INVENTARIO)
TABLESPACE  TFG_IND;  

CREATE INDEX I_MOVIMIENTO_FECHA ON MOVIMIENTOS (FECHA_MOVIMIENTO)
TABLESPACE  TFG_IND;  

CREATE INDEX I_PEDIDO_FECHA ON PEDIDOS (FECHA_PEDIDO)
TABLESPACE  TFG_IND;  

spool off;










